
Foreman - Feature #5175

Possibility to run puppet agent with --noop flag from foreman UI

04/14/2014 08:28 AM - Petter Hassberg

Status: Closed   

Priority: Normal   

Assignee:    

Category: Puppet integration   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Sometimes you want to run a puppet agent with noop flag if you've introduced a lot of changes, just to see what would've happened

from the generated report.

Related issues:

Related to Foreman - Feature #1373: Support puppet kick (puppetrun) options New 12/06/2011

History

#1 - 04/15/2014 02:15 PM - Dominic Cleal

- Tracker changed from Bug to Feature

#2 - 01/04/2016 04:11 AM - julien ippolito

Hi,

I have the opposite case :

All my node run puppet as a service with the noop attribute.

I want when i use puppetrun tu specify if the node need to run with the tag noop or no-noop

#3 - 03/17/2016 04:44 AM - Dominic Cleal

- Related to Feature #1373: Support puppet kick (puppetrun) options  added

#4 - 09/14/2020 07:45 AM - Marek Hulán

- Status changed from New to Closed

This is implemented via REX I believe, obsolete puppet run was removed from Foreman. I'm closing this request, please reopen if I missed

something.

Powered by TCPDF (www.tcpdf.org)

05/19/2024 1/1

http://www.tcpdf.org

